CGAL 6.1.2 - IO Streams: PLY I/O Functions

CGAL 6.1.2 - IO Streams

Loading...
Searching...
No Matches
Functions
PLY I/O Functions
Reference Manual » I/O Functions

##

I/O Functions for the Polygon File Format (PLY).

## Functions
template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::read_PLY (std::istream &is, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
| reads the content of `is` into `points` and `polygons`, using the Polygon File Format (PLY).
template<typename PointRange , typename PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::read_PLY (const std::string &fname, PointRange &points, PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
| reads the content of `fname` into `points` and `polygons`, using the Polygon File Format (PLY).
template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::write_PLY (std::ostream &out, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
| writes the content of `points` and `polygons` in `out`, using the Polygon File Format (PLY).
template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>
bool | CGAL::IO::write_PLY (const std::string &fname, const PointRange &points, const PolygonRange &polygons, const NamedParameters &np=parameters::default_values())
| writes the content of `points` and `polygons` in the file `fname`, using the Polygon File Format (PLY).

## Function Documentation

## ◆ read_PLY() [1/2]

template<typename PointRange , typename PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::read_PLY | ( | const std::string & | fname,
|  | PointRange & | points,
|  | PolygonRange & | polygons,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/PLY.h>`

reads the content of `fname` into `points` and `polygons`, using the Polygon File Format (PLY).

Attention
  The polygon soup is not cleared, and the data from the file are appended.

Template Parameters

  PointRange | a model of the concept `RandomAccessContainer` whose value type is the point type.
  PolygonRange | a model of the concepts `SequenceContainer` and `BackInsertionSequence` whose `value_type` is itself a model of the concept `SequenceContainer` and `BackInsertionSequence` whose `value_type` is an integer type
  NamedParameters | a sequence of Named Parameters

Parameters

  fname | the path to the input file
  points | points of the soup of polygons
  polygons | a range of polygons. Each element in it describes a polygon using the indices of the points in `points`.
  np | optional Named Parameters described below

Optional Named Parameters

  indicates whether data should be read in binary (`true`) or in ASCII (`false`) Type: Boolean Default: `true` |
  indicates whether output warnings and error messages should be printed or not. Type: Boolean Default: `false` |

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ read_PLY() [2/2]

template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::read_PLY | ( | std::istream & | is,
|  | PointRange & | points,
|  | PolygonRange & | polygons,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/PLY.h>`

reads the content of `is` into `points` and `polygons`, using the Polygon File Format (PLY).

Attention
  The polygon soup is not cleared, and the data from the stream are appended.
  To read a binary file, the flag `std::ios::binary` must be set during the creation of the `ifstream`.

Template Parameters

  PointRange | a model of the concepts `RandomAccessContainer` and `BackInsertionSequence` whose value type is the point type
  PolygonRange | a model of the concepts `SequenceContainer` and `BackInsertionSequence` whose `value_type` is itself a model of the concept `SequenceContainer` and `BackInsertionSequence` whose `value_type` is an unsigned integer type convertible to `std::size_t`
  NamedParameters | a sequence of Named Parameters

Parameters

  is | the input stream
  points | points of the soup of polygons
  polygons | a range of polygons. Each element in it describes a polygon using the indices of the points in `points`.
  np | optional Named Parameters described below

Optional Named Parameters

  indicates whether data should be read in binary (`true`) or in ASCII (`false`) Type: Boolean Default: `true` |
  indicates whether output warnings and error messages should be printed or not. Type: Boolean Default: `false` |

Returns
  `true` if the reading was successful, `false` otherwise.

## ◆ write_PLY() [1/2]

template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::write_PLY | ( | const std::string & | fname,
|  | const PointRange & | points,
|  | const PolygonRange & | polygons,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/PLY.h>`

writes the content of `points` and `polygons` in the file `fname`, using the Polygon File Format (PLY).

Template Parameters

  PointRange | a model of the concept `RandomAccessContainer` whose value type is the point type
  PolygonRange | a model of the concept `SequenceContainer` whose `value_type` is itself a model of the concept `SequenceContainer` whose `value_type` is an unsigned integer type convertible to `std::size_t`
  NamedParameters | a sequence of Named Parameters

Parameters

  fname | the path to the output file
  points | points of the soup of polygons
  polygons | a range of polygons. Each element in it describes a polygon using the indices of the points in `points`.
  np | optional Named Parameters described below

Optional Named Parameters

  indicates whether data should be written in binary (`true`) or in ASCII (`false`) Type: Boolean Default: `true` |
  a parameter used to set the precision (i.e. how many digits are generated) of the output stream Type: int Default: `6` Extra: This parameter is only meaningful while using ASCII encoding. |

Returns
  `true` if the writing was successful, `false` otherwise.

## ◆ write_PLY() [2/2]

template<class PointRange , class PolygonRange , typename NamedParameters = CGAL::parameters::Default_named_parameters>

bool CGAL::IO::write_PLY | ( | std::ostream & | out,
|  | const PointRange & | points,
|  | const PolygonRange & | polygons,
|  | const NamedParameters & | np = `parameters::default_values()`
| ) |  |

`#include <CGAL/IO/PLY.h>`

writes the content of `points` and `polygons` in `out`, using the Polygon File Format (PLY).

Attention
  To write to a binary file, the flag `std::ios::binary` must be set during the creation of the `ofstream`, and the `IO::Mode` of the stream must be set to `BINARY`.

Template Parameters

  PointRange | a model of the concept `RandomAccessContainer` whose value type is the point type
  PolygonRange | a model of the concept `SequenceContainer` whose `value_type` is itself a model of the concept `SequenceContainer` whose `value_type` is an unsigned integer type convertible to `std::size_t`
  NamedParameters | a sequence of Named Parameters

Parameters

  out | the output stream
  points | points of the soup of polygons
  polygons | a range of polygons. Each element in it describes a polygon using the indices of the points in `points`.
  np | optional Named Parameters described below

Optional Named Parameters

  a parameter used to set the precision (i.e. how many digits are generated) of the output stream Type: int Default: the precision of the stream `os` Extra: This parameter is only meaningful while using ASCII encoding. |

Returns
  `true` if the writing was successful, `false` otherwise.